Browser support for the VSight remote web application:


Supported browsers table

Application support:


Application support table


*Web app https://app.vsight.io

*Direct download link for Android devices (e.g. smart glasses):

https://vsight.io/docs/app/vsight-remote-release.apk

Requirements for Android devices

  • Android 5.0, or later

  • 1.5 GB RAM, or higher

  • Maximum Core speed 1.5 GHz, or higher

  • To use AR+, your device must support ARCore. 

  • Devices that support ARCore can be found at the following link: 

                ARCore Supported devices 


Requirements for iOS devices

  • iOS 13 or later

  • iPhone 8 or later

  • iPad Pro 2017 or later

  • To use AR+, your device must support ARkit. 

  • Devices that support ARkit can be found at the following link:

                ARkit-supported devices